/*********************************************************************************
**
**   $Id: vendorentry.ui.h,v 1.3 2004/05/27 11:44:07 croftj Exp $
**   Copyright (c) 2004 Joe Croft <joe@croftj.net>
**   
**   This file is part of ah2.
**
**   ah2 is free software; you can redistribute it and/or modify
**   it under the terms of the GNU General Public License as published by
**   the Free Software Foundation; either version 2 of the License, or
**   (at your option) any later version.
**
**   Foobar is distributed in the hope that it will be useful,
**   but WITHOUT ANY WARRANTY; without even the implied warranty of
**   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**   GNU General Public License for more details.
**
**   You should have received a copy of the GNU General Public License
**   along with Foobar; if not, write to the Free Software
**   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*********************************************************************************/

#include <qmessagebox.h>


void VendorEntry::initialize()
{
   vendorTable1->refresh();
   vendorTable1->selectRow(0);
   vendorForm1->nameEdit->setFocus();
   if ( vendorTable1->currentRecord() != NULL ) 
   {
      vendorForm1->refresh(vendorTable1->currentRecord());
   }
}


void VendorEntry::reject()
{
   if ( vendorForm1->isInTransaction() ) 
   {
      if (QMessageBox::warning(this, "Discarding Changes", 
                                "Canceling this will discard <b>ALL</b> of your changes. Are you sure you want to continue?",
                                QMessageBox::Yes, QMessageBox::No) == QMessageBox::Yes)
      {
         vendorForm1->rollbackTransaction();
         done(QDialog::Rejected);
      }
   }
   else 
   {
      done(QDialog::Rejected);
   }
}


void VendorEntry::accept()
{
   vendorForm1->updateRecord();
   vendorForm1->commitTransaction();
   done(vendorForm1->getLastIdent().toInt());
}


void VendorEntry::insertRecord()
{
   vendorForm1->insertRecord();
   vendorForm1->nameEdit->setFocus();
   vendorTable1->refresh();
}

void VendorEntry::updateRecord()
{
   vendorForm1->updateRecord();
   vendorForm1->nameEdit->setFocus();
   vendorTable1->refresh();
}

void VendorEntry::deleteRecord()
{
   vendorForm1->deleteRecord();
   vendorForm1->nameEdit->setFocus();
}




void VendorEntry::keyPressEvent( QKeyEvent * e )
{
   printf("VendorEntry::keyPressEvent(): Entry, have key press for %s\n", e->text().isNull() == true ? "NULL" : (const char*)e->text());
   if ( e->key() == Qt::Key_Escape ) 
   {
      e->accept();
      done(QDialog::Rejected);
   }
   printf("VendorEntry::keyPressEvent(): Exit\n");
}
